Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.soap
Class SOAP11Constants

    java.lang.Object
      |
      +--org.apache.axis.soap.SOAP11Constants

All Implemented Interfaces:
  java.io.Serializable, SOAPConstants

public class SOAP11Constants
extends java.lang.Object
implements SOAPConstants

SOAP 1.1 constants

Author:
  Glen Daniels (gdaniels@apache.org), Andras Avar (andras.avar@nokia.com)
See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.axis.soap.SOAPConstants
`SOAP11_CONSTANTS, SOAP12_CONSTANTS`

Constructor Summary
`SOAP11Constants()`

Method Summary
`java.lang.String` | `getAttrHref()` Obtain the ref attribute name
`java.lang.String` | `getAttrItemType()` Obtain the item type name of an array
`QName` | `getBodyQName()` Obtain the QName for the Body element
`java.lang.String` | `getContentType()` Obtain the MIME content type
`java.lang.String` | `getEncodingURI()` Obtain the encoding namespace for this version of SOAP
`java.lang.String` | `getEnvelopeURI()` Obtain the envelope namespace for this version of SOAP
`QName` | `getFaultQName()` Obtain the QName for the Fault element
`QName` | `getHeaderQName()` Obtain the QName for the Header element
`QName` | `getMustunderstandFaultQName()` Obtain the Qname of Mustunderstand fault code
`java.lang.String` | `getNextRoleURI()` Obtain the "next" role/actor URI
`QName` | `getRoleAttributeQName()` Obtain the QName for the role attribute (actor/role)
`QName` | `getVerMismatchFaultCodeQName()` Obtain the Qname of VersionMismatch fault code

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAP11Constants

    public SOAP11Constants()

Method Detail

### getEnvelopeURI

    public java.lang.String getEnvelopeURI()

  Description copied from interface: `SOAPConstants`
  Obtain the envelope namespace for this version of SOAP

  Specified by:
    `getEnvelopeURI` in interface `SOAPConstants`

### getEncodingURI

    public java.lang.String getEncodingURI()

  Description copied from interface: `SOAPConstants`
  Obtain the encoding namespace for this version of SOAP

  Specified by:
    `getEncodingURI` in interface `SOAPConstants`

### getHeaderQName

    public QName getHeaderQName()

  Description copied from interface: `SOAPConstants`
  Obtain the QName for the Header element

  Specified by:
    `getHeaderQName` in interface `SOAPConstants`

### getBodyQName

    public QName getBodyQName()

  Description copied from interface: `SOAPConstants`
  Obtain the QName for the Body element

  Specified by:
    `getBodyQName` in interface `SOAPConstants`

### getFaultQName

    public QName getFaultQName()

  Description copied from interface: `SOAPConstants`
  Obtain the QName for the Fault element

  Specified by:
    `getFaultQName` in interface `SOAPConstants`

### getRoleAttributeQName

    public QName getRoleAttributeQName()

  Obtain the QName for the role attribute (actor/role)

  Specified by:
    `getRoleAttributeQName` in interface `SOAPConstants`

### getContentType

    public java.lang.String getContentType()

  Obtain the MIME content type

  Specified by:
    `getContentType` in interface `SOAPConstants`

### getNextRoleURI

    public java.lang.String getNextRoleURI()

  Obtain the "next" role/actor URI

  Specified by:
    `getNextRoleURI` in interface `SOAPConstants`

### getAttrHref

    public java.lang.String getAttrHref()

  Obtain the ref attribute name

  Specified by:
    `getAttrHref` in interface `SOAPConstants`

### getAttrItemType

    public java.lang.String getAttrItemType()

  Obtain the item type name of an array

  Specified by:
    `getAttrItemType` in interface `SOAPConstants`

### getVerMismatchFaultCodeQName

    public QName getVerMismatchFaultCodeQName()

  Obtain the Qname of VersionMismatch fault code

  Specified by:
    `getVerMismatchFaultCodeQName` in interface `SOAPConstants`

### getMustunderstandFaultQName

    public QName getMustunderstandFaultQName()

  Obtain the Qname of Mustunderstand fault code

  Specified by:
    `getMustunderstandFaultQName` in interface `SOAPConstants`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.